@echo off

rem Basic command:
rem sqlcmd -S . -d AzureDemo50 -E -s, -W -i ExcelTest.sql > ExcelTest.xml

for /F "eol=; tokens=1* delims==" %%i in (config.txt) do set %%i=%%j

for /F "tokens=1* delims==" %%i in (task.txt) do call :RUN_ONE %%i "%%j"

goto END

:RUN_ONE

if not exist %2 goto RUN_BCP

:RUN_CMD

set Credentials=-U %Username% -P %Password%

if .%Username%.==.. set Credentials=-E

sqlcmd -S %Server% -d %Database% %Credentials% %Crypt% -s, -W -i %2 > %1

goto END

:RUN_BCP

set Credentials=-U %Username% -P %Password%

if .%Username%.==.. set Credentials=-T

bcp %2 queryout %1 -S%Server% -d%Database% %Credentials% -c

goto END

:END
